-- Copyright (C) 2001-2004 Rodolphe Quiedeville <rodolphe@quiedeville.org>
-- Copyright (C) 2003      Jean-Louis Bergamo   <jlb@j1b.org>
-- Copyright (C) 2004-2009 Laurent Destailleur  <eldy@users.sourceforge.net>
-- Copyright (C) 2004      Benoit Mortier       <benoit.mortier@opensides.be>
-- Copyright (C) 2004      Guillaume Delecourt  <guillaume.delecourt@opensides.be>
-- Copyright (C) 2005-2009 Regis Houssin        <regis@dolibarr.fr>
-- Copyright (C) 2007 	   Patrick Raguin       <patrick.raguin@gmail.com>
-- Copyright (C) 2011-2012 Alexandre Spangaro   <alexandre.spangaro@gmail.com>
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <http://www.gnu.org/licenses/>.
--
--

--
-- Ne pas placer de commentaire en fin de ligne, ce fichier est parsé lors
-- de l'install et tous les sigles '--' sont supprimés.
--

delete from llx_accountingaccount;
delete from llx_accountingsystem;

--
-- Descriptif des plans comptables FR PCG99-ABREGE
--

insert into llx_accountingsystem (pcg_version, fk_pays, label, datec, fk_author, active) VALUES ('PCG99-ABREGE', 1, 'The simple accountancy french plan', CURRENT_DATE, null, 0);

insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (  1,'PCG99-ABREGE','CAPIT', 'CAPITAL', '101', '1', 'Capital');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (  2,'PCG99-ABREGE','CAPIT', 'XXXXXX',  '105', '1', 'Ecarts de réévaluation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (  3,'PCG99-ABREGE','CAPIT', 'XXXXXX', '1061', '1', 'Réserve légale');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (  4,'PCG99-ABREGE','CAPIT', 'XXXXXX', '1063', '1', 'Réserves statutaires ou contractuelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (  5,'PCG99-ABREGE','CAPIT', 'XXXXXX', '1064', '1', 'Réserves réglementées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (  6,'PCG99-ABREGE','CAPIT', 'XXXXXX', '1068', '1', 'Autres réserves');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (  7,'PCG99-ABREGE','CAPIT', 'XXXXXX',  '108', '1', 'Compte de l''exploitant');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (  8,'PCG99-ABREGE','CAPIT', 'XXXXXX',   '12', '1', 'Résultat de l''exercice');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (  9,'PCG99-ABREGE','CAPIT', 'XXXXXX',  '145', '1', 'Amortissements dérogatoires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 10,'PCG99-ABREGE','CAPIT', 'XXXXXX',  '146', '1', 'Provision spéciale de réévaluation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 11,'PCG99-ABREGE','CAPIT', 'XXXXXX',  '147', '1', 'Plus-values réinvesties');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 12,'PCG99-ABREGE','CAPIT', 'XXXXXX',  '148', '1', 'Autres provisions réglementées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 13,'PCG99-ABREGE','CAPIT', 'XXXXXX',   '15', '1', 'Provisions pour risques et charges');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 14,'PCG99-ABREGE','CAPIT', 'XXXXXX',   '16', '1', 'Emprunts et dettes assimilees');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 15,'PCG99-ABREGE','IMMO',  'XXXXXX',   '20', '2', 'Immobilisations incorporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 16,'PCG99-ABREGE','IMMO',  'XXXXXX',  '201','20', 'Frais d''établissement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 17,'PCG99-ABREGE','IMMO',  'XXXXXX',  '206','20', 'Droit au bail');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 18,'PCG99-ABREGE','IMMO',  'XXXXXX',  '207','20', 'Fonds commercial');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 19,'PCG99-ABREGE','IMMO',  'XXXXXX',  '208','20', 'Autres immobilisations incorporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 20,'PCG99-ABREGE','IMMO',  'XXXXXX',   '21', '2', 'Immobilisations corporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 21,'PCG99-ABREGE','IMMO',  'XXXXXX',   '23', '2', 'Immobilisations en cours');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 22,'PCG99-ABREGE','IMMO',  'XXXXXX',   '27', '2', 'Autres immobilisations financieres');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 23,'PCG99-ABREGE','IMMO',  'XXXXXX',  '280', '2', 'Amortissements des immobilisations incorporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 24,'PCG99-ABREGE','IMMO',  'XXXXXX',  '281', '2', 'Amortissements des immobilisations corporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 25,'PCG99-ABREGE','IMMO',  'XXXXXX',  '290', '2', 'Provisions pour dépréciation des immobilisations incorporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 26,'PCG99-ABREGE','IMMO',  'XXXXXX',  '291', '2', 'Provisions pour dépréciation des immobilisations corporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 27,'PCG99-ABREGE','IMMO',  'XXXXXX',  '297', '2', 'Provisions pour dépréciation des autres immobilisations financières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 28,'PCG99-ABREGE','STOCK', 'XXXXXX',   '31', '3', 'Matieres premières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 29,'PCG99-ABREGE','STOCK', 'XXXXXX',   '32', '3', 'Autres approvisionnements');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 30,'PCG99-ABREGE','STOCK', 'XXXXXX',   '33', '3', 'En-cours de production de biens');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 31,'PCG99-ABREGE','STOCK', 'XXXXXX',   '34', '3', 'En-cours de production de services');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 32,'PCG99-ABREGE','STOCK', 'XXXXXX',   '35', '3', 'Stocks de produits');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 33,'PCG99-ABREGE','STOCK', 'XXXXXX',   '37', '3', 'Stocks de marchandises');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 34,'PCG99-ABREGE','STOCK', 'XXXXXX',  '391', '3', 'Provisions pour dépréciation des matières premières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 35,'PCG99-ABREGE','STOCK', 'XXXXXX',  '392', '3', 'Provisions pour dépréciation des autres approvisionnements');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 36,'PCG99-ABREGE','STOCK', 'XXXXXX',  '393', '3', 'Provisions pour dépréciation des en-cours de production de biens');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 37,'PCG99-ABREGE','STOCK', 'XXXXXX',  '394', '3', 'Provisions pour dépréciation des en-cours de production de services');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 38,'PCG99-ABREGE','STOCK', 'XXXXXX',  '395', '3', 'Provisions pour dépréciation des stocks de produits');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 39,'PCG99-ABREGE','STOCK', 'XXXXXX',  '397', '3', 'Provisions pour dépréciation des stocks de marchandises');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 40,'PCG99-ABREGE','TIERS', 'SUPPLIER','400', '4', 'Fournisseurs et Comptes rattachés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 41,'PCG99-ABREGE','TIERS', 'XXXXXX',  '409', '4', 'Fournisseurs débiteurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 42,'PCG99-ABREGE','TIERS', 'CUSTOMER','410', '4', 'Clients et Comptes rattachés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 43,'PCG99-ABREGE','TIERS', 'XXXXXX',  '419', '4', 'Clients créditeurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 44,'PCG99-ABREGE','TIERS', 'XXXXXX',  '421', '4', 'Personnel');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 45,'PCG99-ABREGE','TIERS', 'XXXXXX',  '428', '4', 'Personnel');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 46,'PCG99-ABREGE','TIERS', 'XXXXXX',   '43', '4', 'Sécurité sociale et autres organismes sociaux');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 47,'PCG99-ABREGE','TIERS', 'XXXXXX',  '444', '4', 'Etat - impôts sur bénéfice');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 48,'PCG99-ABREGE','TIERS', 'XXXXXX',  '445', '4', 'Etat - Taxes sur chiffre affaire');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 49,'PCG99-ABREGE','TIERS', 'XXXXXX',  '447', '4', 'Autres impôts, taxes et versements assimilés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 50,'PCG99-ABREGE','TIERS', 'XXXXXX',   '45', '4', 'Groupe et associes');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 51,'PCG99-ABREGE','TIERS', 'XXXXXX',  '455','45', 'Associés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 52,'PCG99-ABREGE','TIERS', 'XXXXXX',   '46', '4', 'Débiteurs divers et créditeurs divers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 53,'PCG99-ABREGE','TIERS', 'XXXXXX',   '47', '4', 'Comptes transitoires ou d''attente');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 54,'PCG99-ABREGE','TIERS', 'XXXXXX',  '481', '4', 'Charges à répartir sur plusieurs exercices');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 55,'PCG99-ABREGE','TIERS', 'XXXXXX',  '486', '4', 'Charges constatées d''avance');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 56,'PCG99-ABREGE','TIERS', 'XXXXXX',  '487', '4', 'Produits constatés d''avance');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 57,'PCG99-ABREGE','TIERS', 'XXXXXX',  '491', '4', 'Provisions pour dépréciation des comptes de clients');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 58,'PCG99-ABREGE','TIERS', 'XXXXXX',  '496', '4', 'Provisions pour dépréciation des comptes de débiteurs divers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 59,'PCG99-ABREGE','FINAN', 'XXXXXX',   '50', '5', 'Valeurs mobilières de placement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 60,'PCG99-ABREGE','FINAN', 'BANK',     '51', '5', 'Banques, établissements financiers et assimilés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 61,'PCG99-ABREGE','FINAN', 'CASH',     '53', '5', 'Caisse');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 62,'PCG99-ABREGE','FINAN', 'XXXXXX',   '54', '5', 'Régies d''avance et accréditifs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 63,'PCG99-ABREGE','FINAN', 'XXXXXX',   '58', '5', 'Virements internes');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 64,'PCG99-ABREGE','FINAN', 'XXXXXX',  '590', '5', 'Provisions pour dépréciation des valeurs mobilières de placement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 65,'PCG99-ABREGE','CHARGE','PRODUCT',  '60', '6', 'Achats');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 66,'PCG99-ABREGE','CHARGE','XXXXXX',  '603','60', 'Variations des stocks');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 67,'PCG99-ABREGE','CHARGE','SERVICE',  '61', '6', 'Services extérieurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 68,'PCG99-ABREGE','CHARGE','XXXXXX',   '62', '6', 'Autres services extérieurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 69,'PCG99-ABREGE','CHARGE','XXXXXX',   '63', '6', 'Impôts, taxes et versements assimiles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 70,'PCG99-ABREGE','CHARGE','XXXXXX',  '641', '6', 'Rémunérations du personnel');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 71,'PCG99-ABREGE','CHARGE','XXXXXX',  '644', '6', 'Rémunération du travail de l''exploitant');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 72,'PCG99-ABREGE','CHARGE','SOCIAL',  '645', '6', 'Charges de sécurité sociale et de prévoyance');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 73,'PCG99-ABREGE','CHARGE','XXXXXX',  '646', '6', 'Cotisations sociales personnelles de l''exploitant');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 74,'PCG99-ABREGE','CHARGE','XXXXXX',   '65', '6', 'Autres charges de gestion courante');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 75,'PCG99-ABREGE','CHARGE','XXXXXX',   '66', '6', 'Charges financières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 76,'PCG99-ABREGE','CHARGE','XXXXXX',   '67', '6', 'Charges exceptionnelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 77,'PCG99-ABREGE','CHARGE','XXXXXX',  '681', '6', 'Dotations aux amortissements et aux provisions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 78,'PCG99-ABREGE','CHARGE','XXXXXX',  '686', '6', 'Dotations aux amortissements et aux provisions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 79,'PCG99-ABREGE','CHARGE','XXXXXX',  '687', '6', 'Dotations aux amortissements et aux provisions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 80,'PCG99-ABREGE','CHARGE','XXXXXX',  '691', '6', 'Participation des salariés aux résultats');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 81,'PCG99-ABREGE','CHARGE','XXXXXX',  '695', '6', 'Impôts sur les bénéfices');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 82,'PCG99-ABREGE','CHARGE','XXXXXX',  '697', '6', 'Imposition forfaitaire annuelle des sociétés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 83,'PCG99-ABREGE','CHARGE','XXXXXX',  '699', '6', 'Produits');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 84,'PCG99-ABREGE','PROD',  'PRODUCT', '701', '7', 'Ventes de produits finis');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 85,'PCG99-ABREGE','PROD',  'SERVICE', '706', '7', 'Prestations de services');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 86,'PCG99-ABREGE','PROD',  'PRODUCT', '707', '7', 'Ventes de marchandises');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 87,'PCG99-ABREGE','PROD',  'PRODUCT', '708', '7', 'Produits des activités annexes');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 88,'PCG99-ABREGE','PROD',  'XXXXXX',  '709', '7', 'Rabais, remises et ristournes accordés par l''entreprise');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 89,'PCG99-ABREGE','PROD',  'XXXXXX',  '713', '7', 'Variation des stocks');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 90,'PCG99-ABREGE','PROD',  'XXXXXX',   '72', '7', 'Production immobilisée');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 91,'PCG99-ABREGE','PROD',  'XXXXXX',   '73', '7', 'Produits nets partiels sur opérations à long terme');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 92,'PCG99-ABREGE','PROD',  'XXXXXX',   '74', '7', 'Subventions d''exploitation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 93,'PCG99-ABREGE','PROD',  'XXXXXX',   '75', '7', 'Autres produits de gestion courante');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 94,'PCG99-ABREGE','PROD',  'XXXXXX',  '753','75', 'Jetons de présence et rémunérations d''administrateurs, gérants,...');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 95,'PCG99-ABREGE','PROD',  'XXXXXX',  '754','75', 'Ristournes perçues des coopératives');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 96,'PCG99-ABREGE','PROD',  'XXXXXX',  '755','75', 'Quotes-parts de résultat sur opérations faites en commun');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 97,'PCG99-ABREGE','PROD',  'XXXXXX',   '76', '7', 'Produits financiers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 98,'PCG99-ABREGE','PROD',  'XXXXXX',   '77', '7', 'Produits exceptionnels');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES ( 99,'PCG99-ABREGE','PROD',  'XXXXXX',  '781', '7', 'Reprises sur amortissements et provisions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (100,'PCG99-ABREGE','PROD',  'XXXXXX',  '786', '7', 'Reprises sur provisions pour risques');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (101,'PCG99-ABREGE','PROD',  'XXXXXX',  '787', '7', 'Reprises sur provisions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (102,'PCG99-ABREGE','PROD',  'XXXXXX',   '79', '7', 'Transferts de charges');

--
-- Descriptif des plans comptables FR PCG99-BASE
--

insert into llx_accountingsystem (pcg_version, fk_pays, label, datec, fk_author, active) VALUES ('PCG99-BASE', 1, 'The base accountancy french plan', CURRENT_DATE, null, 0);

insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (103,'PCG99-BASE','CAPIT', 'XXXXXX',   '10',  '1', 'Capital  et réserves');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (104,'PCG99-BASE','CAPIT', 'CAPITAL', '101', '10', 'Capital');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (105,'PCG99-BASE','CAPIT', 'XXXXXX',  '104', '10', 'Primes liées au capital social');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (106,'PCG99-BASE','CAPIT', 'XXXXXX',  '105', '10', 'Ecarts de réévaluation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (107,'PCG99-BASE','CAPIT', 'XXXXXX',  '106', '10', 'Réserves');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (108,'PCG99-BASE','CAPIT', 'XXXXXX',  '107', '10', 'Ecart d''equivalence');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (109,'PCG99-BASE','CAPIT', 'XXXXXX',  '108', '10', 'Compte de l''exploitant');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (110,'PCG99-BASE','CAPIT', 'XXXXXX',  '109', '10', 'Actionnaires : capital souscrit - non appelé');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (111,'PCG99-BASE','CAPIT', 'XXXXXX',   '11',  '1', 'Report à nouveau (solde créditeur ou débiteur)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (112,'PCG99-BASE','CAPIT', 'XXXXXX',  '110', '11', 'Report à nouveau (solde créditeur)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (113,'PCG99-BASE','CAPIT', 'XXXXXX',  '119', '11', 'Report à nouveau (solde débiteur)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (114,'PCG99-BASE','CAPIT', 'XXXXXX',   '12',  '1', 'Résultat de l''exercice (bénéfice ou perte)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (115,'PCG99-BASE','CAPIT', 'XXXXXX',  '120', '12', 'Résultat de l''exercice (bénéfice)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (116,'PCG99-BASE','CAPIT', 'XXXXXX',  '129', '12', 'Résultat de l''exercice (perte)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (117,'PCG99-BASE','CAPIT', 'XXXXXX',   '13',  '1', 'Subventions d''investissement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (118,'PCG99-BASE','CAPIT', 'XXXXXX',  '131', '13', 'Subventions d''équipement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (119,'PCG99-BASE','CAPIT', 'XXXXXX',  '138', '13', 'Autres subventions d''investissement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (120,'PCG99-BASE','CAPIT', 'XXXXXX',  '139', '13', 'Subventions d''investissement inscrites au compte de résultat');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (121,'PCG99-BASE','CAPIT', 'XXXXXX',   '14',  '1', 'Provisions réglementées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (122,'PCG99-BASE','CAPIT', 'XXXXXX',  '142', '14', 'Provisions réglementées relatives aux immobilisations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (123,'PCG99-BASE','CAPIT', 'XXXXXX',  '143', '14', 'Provisions réglementées relatives aux stocks');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (124,'PCG99-BASE','CAPIT', 'XXXXXX',  '144', '14', 'Provisions réglementées relatives aux autres éléments de l''actif');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (125,'PCG99-BASE','CAPIT', 'XXXXXX',  '145', '14', 'Amortissements dérogatoires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (126,'PCG99-BASE','CAPIT', 'XXXXXX',  '146', '14', 'Provision spéciale de réévaluation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (127,'PCG99-BASE','CAPIT', 'XXXXXX',  '147', '14', 'Plus-values réinvesties');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (128,'PCG99-BASE','CAPIT', 'XXXXXX',  '148', '14', 'Autres provisions réglementées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (129,'PCG99-BASE','CAPIT', 'XXXXXX',   '15',  '1', 'Provisions pour risques et charges');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (130,'PCG99-BASE','CAPIT', 'XXXXXX',  '151', '15', 'Provisions pour risques');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (131,'PCG99-BASE','CAPIT', 'XXXXXX',  '153', '15', 'Provisions pour pensions et obligations similaires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (132,'PCG99-BASE','CAPIT', 'XXXXXX',  '154', '15', 'Provisions pour restructurations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (133,'PCG99-BASE','CAPIT', 'XXXXXX',  '155', '15', 'Provisions pour impôts');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (134,'PCG99-BASE','CAPIT', 'XXXXXX',  '156', '15', 'Provisions pour renouvellement des immobilisations (entreprises concessionnaires)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (135,'PCG99-BASE','CAPIT', 'XXXXXX',  '157', '15', 'Provisions pour charges à répartir sur plusieurs exercices');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (136,'PCG99-BASE','CAPIT', 'XXXXXX',  '158', '15', 'Autres provisions pour charges');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (137,'PCG99-BASE','CAPIT', 'XXXXXX',   '16',  '1', 'Emprunts et dettes assimilees');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (138,'PCG99-BASE','CAPIT', 'XXXXXX',  '161', '16', 'Emprunts obligataires convertibles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (139,'PCG99-BASE','CAPIT', 'XXXXXX',  '163', '16', 'Autres emprunts obligataires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (140,'PCG99-BASE','CAPIT', 'XXXXXX',  '164', '16', 'Emprunts auprès des établissements de crédit');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (141,'PCG99-BASE','CAPIT', 'XXXXXX',  '165', '16', 'Dépôts et cautionnements reçus');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (142,'PCG99-BASE','CAPIT', 'XXXXXX',  '166', '16', 'Participation des salariés aux résultats');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (143,'PCG99-BASE','CAPIT', 'XXXXXX',  '167', '16', 'Emprunts et dettes assortis de conditions particulières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (144,'PCG99-BASE','CAPIT', 'XXXXXX',  '168', '16', 'Autres emprunts et dettes assimilées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (145,'PCG99-BASE','CAPIT', 'XXXXXX',  '169', '16', 'Primes de remboursement des obligations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (146,'PCG99-BASE','CAPIT', 'XXXXXX',   '17',  '1', 'Dettes rattachées à des participations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (147,'PCG99-BASE','CAPIT', 'XXXXXX',  '171', '17', 'Dettes rattachées à des participations (groupe)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (148,'PCG99-BASE','CAPIT', 'XXXXXX',  '174', '17', 'Dettes rattachées à des participations (hors groupe)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (149,'PCG99-BASE','CAPIT', 'XXXXXX',  '178', '17', 'Dettes rattachées à des sociétés en participation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (150,'PCG99-BASE','CAPIT', 'XXXXXX',   '18',  '1', 'Comptes de liaison des établissements et sociétés en participation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (151,'PCG99-BASE','CAPIT', 'XXXXXX',  '181', '18', 'Comptes de liaison des établissements');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (152,'PCG99-BASE','CAPIT', 'XXXXXX',  '186', '18', 'Biens et prestations de services échangés entre établissements (charges)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (153,'PCG99-BASE','CAPIT', 'XXXXXX',  '187', '18', 'Biens et prestations de services échangés entre établissements (produits)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (154,'PCG99-BASE','CAPIT', 'XXXXXX',  '188', '18', 'Comptes de liaison des sociétés en participation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (155,'PCG99-BASE','IMMO',  'XXXXXX',   '20',  '2', 'Immobilisations incorporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (156,'PCG99-BASE','IMMO',  'XXXXXX',  '201', '20', 'Frais d''établissement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (157,'PCG99-BASE','IMMO',  'XXXXXX',  '203', '20', 'Frais de recherche et de développement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (158,'PCG99-BASE','IMMO',  'XXXXXX',  '205', '20', 'Concessions et droits similaires, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (159,'PCG99-BASE','IMMO',  'XXXXXX',  '206', '20', 'Droit au bail');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (160,'PCG99-BASE','IMMO',  'XXXXXX',  '207', '20', 'Fonds commercial');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (161,'PCG99-BASE','IMMO',  'XXXXXX',  '208', '20', 'Autres immobilisations incorporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (162,'PCG99-BASE','IMMO',  'XXXXXX',   '21',  '2', 'Immobilisations corporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (163,'PCG99-BASE','IMMO',  'XXXXXX',  '211', '21', 'Terrains');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (164,'PCG99-BASE','IMMO',  'XXXXXX',  '212', '21', 'Agencements et aménagements de terrains');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (165,'PCG99-BASE','IMMO',  'XXXXXX',  '213', '21', 'Constructions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (166,'PCG99-BASE','IMMO',  'XXXXXX',  '214', '21', 'Constructions sur sol d''autrui');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (167,'PCG99-BASE','IMMO',  'XXXXXX',  '215', '21', 'Installations techniques, matériels et outillage industriels');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (168,'PCG99-BASE','IMMO',  'XXXXXX',  '218', '21', 'Autres immobilisations corporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (169,'PCG99-BASE','IMMO',  'XXXXXX',   '22',  '2', 'Immobilisations mises en concession');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (170,'PCG99-BASE','IMMO',  'XXXXXX',   '23',  '2', 'Immobilisations en cours');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (171,'PCG99-BASE','IMMO',  'XXXXXX',  '231', '23', 'Immobilisations corporelles en cours');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (172,'PCG99-BASE','IMMO',  'XXXXXX',  '232', '23', 'Immobilisations incorporelles en cours');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (173,'PCG99-BASE','IMMO',  'XXXXXX',  '237', '23', 'Avances et acomptes versés sur immobilisations incorporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (174,'PCG99-BASE','IMMO',  'XXXXXX',  '238', '23', 'Avances et acomptes versés sur commandes d''immobilisations corporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (175,'PCG99-BASE','IMMO',  'XXXXXX',   '25',  '2', 'Parts dans des entreprises liées et créances sur des entreprises liées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (176,'PCG99-BASE','IMMO',  'XXXXXX',   '26',  '2', 'Participations et créances rattachées à des participations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (177,'PCG99-BASE','IMMO',  'XXXXXX',  '261', '26', 'Titres de participation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (178,'PCG99-BASE','IMMO',  'XXXXXX',  '266', '26', 'Autres formes de participation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (179,'PCG99-BASE','IMMO',  'XXXXXX',  '267', '26', 'Créances rattachées à des participations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (180,'PCG99-BASE','IMMO',  'XXXXXX',  '268', '26', 'Créances rattachées à des sociétés en participation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (181,'PCG99-BASE','IMMO',  'XXXXXX',  '269', '26', 'Versements restant à effectuer sur titres de participation non libérés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (182,'PCG99-BASE','IMMO',  'XXXXXX',   '27',  '2', 'Autres immobilisations financieres');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (183,'PCG99-BASE','IMMO',  'XXXXXX',  '271', '27', 'Titres immobilisés autres que les titres immobilisés de l''activité de portefeuille (droit de propriété)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (184,'PCG99-BASE','IMMO',  'XXXXXX',  '272', '27', 'Titres immobilisés (droit de créance)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (185,'PCG99-BASE','IMMO',  'XXXXXX',  '273', '27', 'Titres immobilisés de l''activité de portefeuille');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (186,'PCG99-BASE','IMMO',  'XXXXXX',  '274', '27', 'Prêts');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (187,'PCG99-BASE','IMMO',  'XXXXXX',  '275', '27', 'Dépôts et cautionnements versés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (188,'PCG99-BASE','IMMO',  'XXXXXX',  '276', '27', 'Autres créances immobilisées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (189,'PCG99-BASE','IMMO',  'XXXXXX',  '277', '27', '(Actions propres ou parts propres)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (190,'PCG99-BASE','IMMO',  'XXXXXX',  '279', '27', 'Versements restant à effectuer sur titres immobilisés non libérés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (191,'PCG99-BASE','IMMO',  'XXXXXX',   '28',  '2', 'Amortissements des immobilisations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (192,'PCG99-BASE','IMMO',  'XXXXXX',  '280', '28', 'Amortissements des immobilisations incorporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (193,'PCG99-BASE','IMMO',  'XXXXXX',  '281', '28', 'Amortissements des immobilisations corporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (194,'PCG99-BASE','IMMO',  'XXXXXX',  '282', '28', 'Amortissements des immobilisations mises en concession');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (195,'PCG99-BASE','IMMO',  'XXXXXX',   '29',  '2', 'Dépréciations des immobilisations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (196,'PCG99-BASE','IMMO',  'XXXXXX',  '290', '29', 'Dépréciations des immobilisations incorporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (197,'PCG99-BASE','IMMO',  'XXXXXX',  '291', '29', 'Dépréciations des immobilisations corporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (198,'PCG99-BASE','IMMO',  'XXXXXX',  '292', '29', 'Dépréciations des immobilisations mises en concession');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (199,'PCG99-BASE','IMMO',  'XXXXXX',  '293', '29', 'Dépréciations des immobilisations en cours');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (200,'PCG99-BASE','IMMO',  'XXXXXX',  '296', '29', 'Provisions pour dépréciation des participations et créances rattachées à des participations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (201,'PCG99-BASE','IMMO',  'XXXXXX',  '297', '29', 'Provisions pour dépréciation des autres immobilisations financières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (202,'PCG99-BASE','STOCK', 'XXXXXX',   '31',  '3', 'Matières premières (et fournitures)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (203,'PCG99-BASE','STOCK', 'XXXXXX',  '311', '31', 'Matières (ou groupe) A');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (204,'PCG99-BASE','STOCK', 'XXXXXX',  '312', '31', 'Matières (ou groupe) B');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (205,'PCG99-BASE','STOCK', 'XXXXXX',  '317', '31', 'Fournitures A, B, C,');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (206,'PCG99-BASE','STOCK', 'XXXXXX',   '32',  '3', 'Autres approvisionnements');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (207,'PCG99-BASE','STOCK', 'XXXXXX',  '321', '32', 'Matières consommables');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (208,'PCG99-BASE','STOCK', 'XXXXXX',  '322', '32', 'Fournitures consommables');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (209,'PCG99-BASE','STOCK', 'XXXXXX',  '326', '32', 'Emballages');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (210,'PCG99-BASE','STOCK', 'XXXXXX',   '33',  '3', 'En-cours de production de biens');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (211,'PCG99-BASE','STOCK', 'XXXXXX',  '331', '33', 'Produits en cours');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (212,'PCG99-BASE','STOCK', 'XXXXXX',  '335', '33', 'Travaux en cours');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (213,'PCG99-BASE','STOCK', 'XXXXXX',   '34',  '3', 'En-cours de production de services');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (214,'PCG99-BASE','STOCK', 'XXXXXX',  '341', '34', 'Etudes en cours');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (215,'PCG99-BASE','STOCK', 'XXXXXX',  '345', '34', 'Prestations de services en cours');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (216,'PCG99-BASE','STOCK', 'XXXXXX',   '35',  '3', 'Stocks de produits');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (217,'PCG99-BASE','STOCK', 'XXXXXX',  '351', '35', 'Produits intermédiaires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (218,'PCG99-BASE','STOCK', 'XXXXXX',  '355', '35', 'Produits finis');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (219,'PCG99-BASE','STOCK', 'XXXXXX',  '358', '35', 'Produits résiduels (ou matières de récupération)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (220,'PCG99-BASE','STOCK', 'XXXXXX',   '37',  '3', 'Stocks de marchandises');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (221,'PCG99-BASE','STOCK', 'XXXXXX',  '371', '37', 'Marchandises (ou groupe) A');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (222,'PCG99-BASE','STOCK', 'XXXXXX',  '372', '37', 'Marchandises (ou groupe) B');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (223,'PCG99-BASE','STOCK', 'XXXXXX',   '39',  '3', 'Provisions pour dépréciation des stocks et en-cours');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (224,'PCG99-BASE','STOCK', 'XXXXXX',  '391', '39', 'Provisions pour dépréciation des matières premières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (225,'PCG99-BASE','STOCK', 'XXXXXX',  '392', '39', 'Provisions pour dépréciation des autres approvisionnements');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (226,'PCG99-BASE','STOCK', 'XXXXXX',  '393', '39', 'Provisions pour dépréciation des en-cours de production de biens');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (227,'PCG99-BASE','STOCK', 'XXXXXX',  '394', '39', 'Provisions pour dépréciation des en-cours de production de services');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (228,'PCG99-BASE','STOCK', 'XXXXXX',  '395', '39', 'Provisions pour dépréciation des stocks de produits');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (229,'PCG99-BASE','STOCK', 'XXXXXX',  '397', '39', 'Provisions pour dépréciation des stocks de marchandises');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (230,'PCG99-BASE','TIERS', 'XXXXXX',   '40',  '4', 'Fournisseurs et Comptes rattachés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (231,'PCG99-BASE','TIERS', 'XXXXXX',  '400', '40', 'Fournisseurs et Comptes rattachés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (232,'PCG99-BASE','TIERS', 'SUPPLIER','401', '40', 'Fournisseurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (233,'PCG99-BASE','TIERS', 'XXXXXX',  '403', '40', 'Fournisseurs - Effets à payer');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (234,'PCG99-BASE','TIERS', 'XXXXXX',  '404', '40', 'Fournisseurs d''immobilisations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (235,'PCG99-BASE','TIERS', 'XXXXXX',  '405', '40', 'Fournisseurs d''immobilisations - Effets à payer');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (236,'PCG99-BASE','TIERS', 'XXXXXX',  '408', '40', 'Fournisseurs - Factures non parvenues');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (237,'PCG99-BASE','TIERS', 'XXXXXX',  '409', '40', 'Fournisseurs débiteurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (238,'PCG99-BASE','TIERS', 'XXXXXX',   '41',  '4', 'Clients et comptes rattachés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (239,'PCG99-BASE','TIERS', 'XXXXXX',  '410', '41', 'Clients et Comptes rattachés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (240,'PCG99-BASE','TIERS', 'CUSTOMER','411', '41', 'Clients');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (241,'PCG99-BASE','TIERS', 'XXXXXX',  '413', '41', 'Clients - Effets à recevoir');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (242,'PCG99-BASE','TIERS', 'XXXXXX',  '416', '41', 'Clients douteux ou litigieux');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (243,'PCG99-BASE','TIERS', 'XXXXXX',  '418', '41', 'Clients - Produits non encore facturés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (244,'PCG99-BASE','TIERS', 'XXXXXX',  '419', '41', 'Clients créditeurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (245,'PCG99-BASE','TIERS', 'XXXXXX',   '42',  '4', 'Personnel et comptes rattachés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (246,'PCG99-BASE','TIERS', 'XXXXXX',  '421', '42', 'Personnel - Rémunérations dues');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (247,'PCG99-BASE','TIERS', 'XXXXXX',  '422', '42', 'Comités d''entreprises, d''établissement, ...');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (248,'PCG99-BASE','TIERS', 'XXXXXX',  '424', '42', 'Participation des salariés aux résultats');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (249,'PCG99-BASE','TIERS', 'XXXXXX',  '425', '42', 'Personnel - Avances et acomptes');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (250,'PCG99-BASE','TIERS', 'XXXXXX',  '426', '42', 'Personnel - Dépôts');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (251,'PCG99-BASE','TIERS', 'XXXXXX',  '427', '42', 'Personnel - Oppositions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (252,'PCG99-BASE','TIERS', 'XXXXXX',  '428', '42', 'Personnel - Charges à payer et produits à recevoir');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (253,'PCG99-BASE','TIERS', 'XXXXXX',   '43',  '4', 'Sécurité sociale et autres organismes sociaux');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (254,'PCG99-BASE','TIERS', 'XXXXXX',  '431', '43', 'Sécurité sociale');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (255,'PCG99-BASE','TIERS', 'XXXXXX',  '437', '43', 'Autres organismes sociaux');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (256,'PCG99-BASE','TIERS', 'XXXXXX',  '438', '43', 'Organismes sociaux - Charges à payer et produits à recevoir');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (257,'PCG99-BASE','TIERS', 'XXXXXX',   '44',  '4', 'État et autres collectivités publiques');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (258,'PCG99-BASE','TIERS', 'XXXXXX',  '441', '44', 'État - Subventions à recevoir');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (259,'PCG99-BASE','TIERS', 'XXXXXX',  '442', '44', 'Etat - Impôts et taxes recouvrables sur des tiers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (260,'PCG99-BASE','TIERS', 'XXXXXX',  '443', '44', 'Opérations particulières avec l''Etat, les collectivités publiques, les organismes internationaux');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (261,'PCG99-BASE','TIERS', 'XXXXXX',  '444', '44', 'Etat - Impôts sur les bénéfices');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (262,'PCG99-BASE','TIERS', 'XXXXXX',  '445', '44', 'Etat - Taxes sur le chiffre d''affaires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (263,'PCG99-BASE','TIERS', 'XXXXXX',  '446', '44', 'Obligations cautionnées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (264,'PCG99-BASE','TIERS', 'XXXXXX',  '447', '44', 'Autres impôts, taxes et versements assimilés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (265,'PCG99-BASE','TIERS', 'XXXXXX',  '448', '44', 'Etat - Charges à payer et produits à recevoir');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (266,'PCG99-BASE','TIERS', 'XXXXXX',  '449', '44', 'Quotas d''émission à restituer à l''Etat');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (267,'PCG99-BASE','TIERS', 'XXXXXX',   '45',  '4', 'Groupe et associes');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (268,'PCG99-BASE','TIERS', 'XXXXXX',  '451', '45', 'Groupe');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (269,'PCG99-BASE','TIERS', 'XXXXXX',  '455', '45', 'Associés - Comptes courants');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (270,'PCG99-BASE','TIERS', 'XXXXXX',  '456', '45', 'Associés - Opérations sur le capital');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (271,'PCG99-BASE','TIERS', 'XXXXXX',  '457', '45', 'Associés - Dividendes à payer');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (272,'PCG99-BASE','TIERS', 'XXXXXX',  '458', '45', 'Associés - Opérations faites en commun et en G.I.E.');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (273,'PCG99-BASE','TIERS', 'XXXXXX',   '46',  '4', 'Débiteurs divers et créditeurs divers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (274,'PCG99-BASE','TIERS', 'XXXXXX',  '462', '46', 'Créances sur cessions d''immobilisations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (275,'PCG99-BASE','TIERS', 'XXXXXX',  '464', '46', 'Dettes sur acquisitions de valeurs mobilières de placement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (276,'PCG99-BASE','TIERS', 'XXXXXX',  '465', '46', 'Créances sur cessions de valeurs mobilières de placement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (277,'PCG99-BASE','TIERS', 'XXXXXX',  '467', '46', 'Autres comptes débiteurs ou créditeurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (278,'PCG99-BASE','TIERS', 'XXXXXX',  '468', '46', 'Divers - Charges à payer et produits à recevoir');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (279,'PCG99-BASE','TIERS', 'XXXXXX',   '47',  '4', 'Comptes transitoires ou d''attente');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (280,'PCG99-BASE','TIERS', 'XXXXXX',  '471', '47', 'Comptes d''attente');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (281,'PCG99-BASE','TIERS', 'XXXXXX',  '476', '47', 'Différence de conversion - Actif');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (282,'PCG99-BASE','TIERS', 'XXXXXX',  '477', '47', 'Différences de conversion - Passif');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (283,'PCG99-BASE','TIERS', 'XXXXXX',  '478', '47', 'Autres comptes transitoires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (284,'PCG99-BASE','TIERS', 'XXXXXX',   '48',  '4', 'Comptes de régularisation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (285,'PCG99-BASE','TIERS', 'XXXXXX',  '481', '48', 'Charges à répartir sur plusieurs exercices');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (286,'PCG99-BASE','TIERS', 'XXXXXX',  '486', '48', 'Charges constatées d''avance');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (287,'PCG99-BASE','TIERS', 'XXXXXX',  '487', '48', 'Produits constatés d''avance');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (288,'PCG99-BASE','TIERS', 'XXXXXX',  '488', '48', 'Comptes de répartition périodique des charges et des produits');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (289,'PCG99-BASE','TIERS', 'XXXXXX',  '489', '48', 'Quotas d''émission alloués par l''Etat');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (290,'PCG99-BASE','TIERS', 'XXXXXX',   '49',  '4', 'Provisions pour dépréciation des comptes de tiers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (291,'PCG99-BASE','TIERS', 'XXXXXX',  '491', '49', 'Provisions pour dépréciation des comptes de clients');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (292,'PCG99-BASE','TIERS', 'XXXXXX',  '495', '49', 'Provisions pour dépréciation des comptes du groupe et des associés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (293,'PCG99-BASE','TIERS', 'XXXXXX',  '496', '49', 'Provisions pour dépréciation des comptes de débiteurs divers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (294,'PCG99-BASE','FINAN', 'XXXXXX',   '50',  '5', 'Valeurs mobilières de placement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (295,'PCG99-BASE','FINAN', 'XXXXXX',  '501', '50', 'Parts dans des entreprises liées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (296,'PCG99-BASE','FINAN', 'XXXXXX',  '502', '50', 'Actions propres');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (297,'PCG99-BASE','FINAN', 'XXXXXX',  '503', '50', 'Actions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (298,'PCG99-BASE','FINAN', 'XXXXXX',  '504', '50', 'Autres titres conférant un droit de propriété');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (299,'PCG99-BASE','FINAN', 'XXXXXX',  '505', '50', 'Obligations et bons émis par la société et rachetés par elle');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (300,'PCG99-BASE','FINAN', 'XXXXXX',  '506', '50', 'Obligations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (301,'PCG99-BASE','FINAN', 'XXXXXX',  '507', '50', 'Bons du Trésor et bons de caisse à court terme');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (302,'PCG99-BASE','FINAN', 'XXXXXX',  '508', '50', 'Autres valeurs mobilières de placement et autres créances assimilées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (303,'PCG99-BASE','FINAN', 'XXXXXX',  '509', '50', 'Versements restant à effectuer sur valeurs mobilières de placement non libérées');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (304,'PCG99-BASE','FINAN', 'XXXXXX',   '51',  '5', 'Banques, établissements financiers et assimilés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (305,'PCG99-BASE','FINAN', 'XXXXXX',  '511', '51', 'Valeurs à l''encaissement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (306,'PCG99-BASE','FINAN', 'BANK',    '512', '51', 'Banques');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (307,'PCG99-BASE','FINAN', 'XXXXXX',  '514', '51', 'Chèques postaux');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (308,'PCG99-BASE','FINAN', 'XXXXXX',  '515', '51', '"Caisses" du Trésor et des établissements publics');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (309,'PCG99-BASE','FINAN', 'XXXXXX',  '516', '51', 'Sociétés de bourse');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (310,'PCG99-BASE','FINAN', 'XXXXXX',  '517', '51', 'Autres organismes financiers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (311,'PCG99-BASE','FINAN', 'XXXXXX',  '518', '51', 'Intérêts courus');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (312,'PCG99-BASE','FINAN', 'XXXXXX',  '519', '51', 'Concours bancaires courants');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (313,'PCG99-BASE','FINAN', 'XXXXXX',   '52',  '5', 'Instruments de trésorerie');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (314,'PCG99-BASE','FINAN', 'CASH',     '53',  '5', 'Caisse');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (315,'PCG99-BASE','FINAN', 'XXXXXX',  '531', '53', 'Caisse siège social');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (316,'PCG99-BASE','FINAN', 'XXXXXX',  '532', '53', 'Caisse succursale (ou usine) A');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (317,'PCG99-BASE','FINAN', 'XXXXXX',  '533', '53', 'Caisse succursale (ou usine) B');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (318,'PCG99-BASE','FINAN', 'XXXXXX',   '54',  '5', 'Régies d''avance et accréditifs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (319,'PCG99-BASE','FINAN', 'XXXXXX',   '58',  '5', 'Virements internes');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (320,'PCG99-BASE','FINAN', 'XXXXXX',   '59',  '5', 'Provisions pour dépréciation des comptes financiers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (321,'PCG99-BASE','FINAN', 'XXXXXX',  '590', '59', 'Provisions pour dépréciation des valeurs mobilières de placement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (322,'PCG99-BASE','CHARGE','PRODUCT',  '60', '6', 'Achats');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (323,'PCG99-BASE','CHARGE','XXXXXX',  '601','60', 'Achats stockés - Matières premières (et fournitures)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (324,'PCG99-BASE','CHARGE','XXXXXX',  '602','60', 'Achats stockés - Autres approvisionnements');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (325,'PCG99-BASE','CHARGE','XXXXXX',  '603','60', 'Variations des stocks (approvisionnements et marchandises)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (326,'PCG99-BASE','CHARGE','XXXXXX',  '604','60', 'Achats stockés - Matières premières (et fournitures)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (327,'PCG99-BASE','CHARGE','XXXXXX',  '605','60', 'Achats de matériel, équipements et travaux');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (328,'PCG99-BASE','CHARGE','XXXXXX',  '606','60', 'Achats non stockés de matière et fournitures');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (329,'PCG99-BASE','CHARGE','XXXXXX',  '607','60', 'Achats de marchandises');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (330,'PCG99-BASE','CHARGE','XXXXXX',  '608','60', '(Compte réservé, le cas échéant, à la récapitulation des frais accessoires incorporés aux achats)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (331,'PCG99-BASE','CHARGE','XXXXXX',  '609','60', 'Rabais, remises et ristournes obtenus sur achats');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (332,'PCG99-BASE','CHARGE','SERVICE',  '61', '6', 'Services extérieurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (333,'PCG99-BASE','CHARGE','XXXXXX',  '611','61', 'Sous-traitance générale');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (334,'PCG99-BASE','CHARGE','XXXXXX',  '612','61', 'Redevances de crédit-bail');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (335,'PCG99-BASE','CHARGE','XXXXXX',  '613','61', 'Locations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (336,'PCG99-BASE','CHARGE','XXXXXX',  '614','61', 'Charges locatives et de copropriété');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (337,'PCG99-BASE','CHARGE','XXXXXX',  '615','61', 'Entretien et réparations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (338,'PCG99-BASE','CHARGE','XXXXXX',  '616','61', 'Primes d''assurances');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (339,'PCG99-BASE','CHARGE','XXXXXX',  '617','61', 'Etudes et recherches');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (340,'PCG99-BASE','CHARGE','XXXXXX',  '618','61', 'Divers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (341,'PCG99-BASE','CHARGE','XXXXXX',  '619','61', 'Rabais, remises et ristournes obtenus sur services extérieurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (342,'PCG99-BASE','CHARGE','XXXXXX',   '62', '6', 'Autres services extérieurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (343,'PCG99-BASE','CHARGE','XXXXXX',  '621','62', 'Personnel extérieur à l''entreprise');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (344,'PCG99-BASE','CHARGE','XXXXXX',  '622','62', 'Rémunérations d''intermédiaires et honoraires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (345,'PCG99-BASE','CHARGE','XXXXXX',  '623','62', 'Publicité, publications, relations publiques');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (346,'PCG99-BASE','CHARGE','XXXXXX',  '624','62', 'Transports de biens et transports collectifs du personnel');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (347,'PCG99-BASE','CHARGE','XXXXXX',  '625','62', 'Déplacements, missions et réceptions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (348,'PCG99-BASE','CHARGE','XXXXXX',  '626','62', 'Frais postaux et de télécommunications');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (349,'PCG99-BASE','CHARGE','XXXXXX',  '627','62', 'Services bancaires et assimilés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (350,'PCG99-BASE','CHARGE','XXXXXX',  '628','62', 'Divers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (351,'PCG99-BASE','CHARGE','XXXXXX',  '629','62', 'Rabais, remises et ristournes obtenus sur autres services extérieurs');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (352,'PCG99-BASE','CHARGE','XXXXXX',   '63', '6', 'Impôts, taxes et versements assimilés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (353,'PCG99-BASE','CHARGE','XXXXXX',  '631','63', 'Impôts, taxes et versements assimilés sur rémunérations (administrations des impôts)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (354,'PCG99-BASE','CHARGE','XXXXXX',  '633','63', 'Impôts, taxes et versements assimilés sur rémunérations (autres organismes)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (355,'PCG99-BASE','CHARGE','XXXXXX',  '635','63', 'Autres impôts, taxes et versements assimilés (administrations des impôts)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (356,'PCG99-BASE','CHARGE','XXXXXX',  '637','63', 'Autres impôts, taxes et versements assimilés (autres organismes)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (357,'PCG99-BASE','CHARGE','XXXXXX',   '64', '6', 'Charges de personnel');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (358,'PCG99-BASE','CHARGE','XXXXXX',  '641','64', 'Rémunérations du personnel');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (359,'PCG99-BASE','CHARGE','XXXXXX',  '644','64', 'Rémunération du travail de l''exploitant');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (360,'PCG99-BASE','CHARGE','SOCIAL',  '645','64', 'Charges de sécurité sociale et de prévoyance');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (361,'PCG99-BASE','CHARGE','XXXXXX',  '646','64', 'Cotisations sociales personnelles de l''exploitant');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (362,'PCG99-BASE','CHARGE','XXXXXX',  '647','64', 'Autres charges sociales');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (363,'PCG99-BASE','CHARGE','XXXXXX',  '648','64', 'Autres charges de personnel');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (364,'PCG99-BASE','CHARGE','XXXXXX',   '65', '6', 'Autres charges de gestion courante');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (365,'PCG99-BASE','CHARGE','XXXXXX',  '651','65', 'Redevances pour concessions, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (366,'PCG99-BASE','CHARGE','XXXXXX',  '653','65', 'Jetons de présence');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (367,'PCG99-BASE','CHARGE','XXXXXX',  '654','65', 'Pertes sur créances irrécouvrables');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (368,'PCG99-BASE','CHARGE','XXXXXX',  '655','65', 'Quote-part de résultat sur opérations faites en commun');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (369,'PCG99-BASE','CHARGE','XXXXXX',  '658','65', 'Charges diverses de gestion courante');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (370,'PCG99-BASE','CHARGE','XXXXXX',   '66', '6', 'Charges financières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (371,'PCG99-BASE','CHARGE','XXXXXX',  '661','66', 'Charges d''intérêts');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (372,'PCG99-BASE','CHARGE','XXXXXX',  '664','66', 'Pertes sur créances liées à des participations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (373,'PCG99-BASE','CHARGE','XXXXXX',  '665','66', 'Escomptes accordés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (374,'PCG99-BASE','CHARGE','XXXXXX',  '666','66', 'Pertes de change');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (375,'PCG99-BASE','CHARGE','XXXXXX',  '667','66', 'Charges nettes sur cessions de valeurs mobilières de placement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (376,'PCG99-BASE','CHARGE','XXXXXX',  '668','66', 'Autres charges financières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (377,'PCG99-BASE','CHARGE','XXXXXX',   '67', '6', 'Charges exceptionnelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (378,'PCG99-BASE','CHARGE','XXXXXX',  '671','67', 'Charges exceptionnelles sur opérations de gestion');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (379,'PCG99-BASE','CHARGE','XXXXXX',  '672','67', '(Compte à la disposition des entités pour enregistrer, en cours d''exercice, les charges sur exercices antérieurs)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (380,'PCG99-BASE','CHARGE','XXXXXX',  '675','67', 'Valeurs comptables des éléments d''actif cédés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (381,'PCG99-BASE','CHARGE','XXXXXX',  '678','67', 'Autres charges exceptionnelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (382,'PCG99-BASE','CHARGE','XXXXXX',   '68', '6', 'Dotations aux amortissements et aux provisions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (383,'PCG99-BASE','CHARGE','XXXXXX',  '681','68', 'Dotations aux amortissements et aux provisions - Charges d''exploitation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (384,'PCG99-BASE','CHARGE','XXXXXX',  '686','68', 'Dotations aux amortissements et aux provisions - Charges financières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (385,'PCG99-BASE','CHARGE','XXXXXX',  '687','68', 'Dotations aux amortissements et aux provisions - Charges exceptionnelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (386,'PCG99-BASE','CHARGE','XXXXXX',   '69', '6', 'Participation des salariés - impôts sur les bénéfices et assimiles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (387,'PCG99-BASE','CHARGE','XXXXXX',  '691','69', 'Participation des salariés aux résultats');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (388,'PCG99-BASE','CHARGE','XXXXXX',  '695','69', 'Impôts sur les bénéfices');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (389,'PCG99-BASE','CHARGE','XXXXXX',  '696','69', 'Suppléments d''impôt sur les sociétés liés aux distributions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (390,'PCG99-BASE','CHARGE','XXXXXX',  '697','69', 'Imposition forfaitaire annuelle des sociétés');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (391,'PCG99-BASE','CHARGE','XXXXXX',  '698','69', 'Intégration fiscale');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (392,'PCG99-BASE','CHARGE','XXXXXX',  '699','69', 'Produits - Reports en arrière des déficits');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (393,'PCG99-BASE','PROD',  'XXXXXX',   '70', '7', 'Ventes de produits fabriqués, prestations de services, marchandises');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (394,'PCG99-BASE','PROD',  'PRODUCT',  '701','70', 'Ventes de produits finis');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (395,'PCG99-BASE','PROD',  'XXXXXX',   '702','70', 'Ventes de produits intermédiaires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (396,'PCG99-BASE','PROD',  'XXXXXX',   '703','70', 'Ventes de produits résiduels');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (397,'PCG99-BASE','PROD',  'XXXXXX',   '704','70', 'Travaux');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (398,'PCG99-BASE','PROD',  'XXXXXX',   '705','70', 'Etudes');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (399,'PCG99-BASE','PROD',  'SERVICE',  '706','70', 'Prestations de services');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (400,'PCG99-BASE','PROD',  'PRODUCT',  '707','70', 'Ventes de marchandises');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (401,'PCG99-BASE','PROD',  'PRODUCT',  '708','70', 'Produits des activités annexes');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (402,'PCG99-BASE','PROD',  'XXXXXX',   '709','70', 'Rabais, remises et ristournes accordés par l''entreprise');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (403,'PCG99-BASE','PROD',  'XXXXXX',    '71', '7', 'Production stockée (ou déstockage)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (404,'PCG99-BASE','PROD',  'XXXXXX',   '713','71', 'Variation des stocks (en-cours de production, produits)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (405,'PCG99-BASE','PROD',  'XXXXXX',    '72', '7', 'Production immobilisée');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (406,'PCG99-BASE','PROD',  'XXXXXX',   '721','72', 'Immobilisations incorporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (407,'PCG99-BASE','PROD',  'XXXXXX',   '722','72', 'Immobilisations corporelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (408,'PCG99-BASE','PROD',  'XXXXXX',    '74', '7', 'Subventions d''exploitation');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (409,'PCG99-BASE','PROD',  'XXXXXX',    '75', '7', 'Autres produits de gestion courante');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (410,'PCG99-BASE','PROD',  'XXXXXX',   '751','75', 'Redevances pour concessions, brevets, licences, marques, procédés, logiciels, droits et valeurs similaires');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (411,'PCG99-BASE','PROD',  'XXXXXX',   '752','75', 'Revenus des immeubles non affectés à des activités professionnelles');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (412,'PCG99-BASE','PROD',  'XXXXXX',   '753','75', 'Jetons de présence et rémunérations d''administrateurs, gérants,...');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (413,'PCG99-BASE','PROD',  'XXXXXX',   '754','75', 'Ristournes perçues des coopératives (provenant des excédents)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (414,'PCG99-BASE','PROD',  'XXXXXX',   '755','75', 'Quotes-parts de résultat sur opérations faites en commun');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (415,'PCG99-BASE','PROD',  'XXXXXX',   '758','75', 'Produits divers de gestion courante'); 
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (416,'PCG99-BASE','PROD',  'XXXXXX',    '76', '7', 'Produits financiers');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (417,'PCG99-BASE','PROD',  'XXXXXX',   '761','76', 'Produits de participations');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (418,'PCG99-BASE','PROD',  'XXXXXX',   '762','76', 'Produits des autres immobilisations financières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (419,'PCG99-BASE','PROD',  'XXXXXX',   '763','76', 'Revenus des autres créances');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (420,'PCG99-BASE','PROD',  'XXXXXX',   '764','76', 'Revenus des valeurs mobilières de placement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (421,'PCG99-BASE','PROD',  'XXXXXX',   '765','76', 'Escomptes obtenus');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (422,'PCG99-BASE','PROD',  'XXXXXX',   '766','76', 'Gains de change');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (423,'PCG99-BASE','PROD',  'XXXXXX',   '767','76', 'Produits nets sur cessions de valeurs mobilières de placement');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (424,'PCG99-BASE','PROD',  'XXXXXX',   '768','76', 'Autres produits financiers'); 
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (425,'PCG99-BASE','PROD',  'XXXXXX',    '77', '7', 'Produits exceptionnels');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (426,'PCG99-BASE','PROD',  'XXXXXX',   '771','77', 'Produits exceptionnels sur opérations de gestion');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (427,'PCG99-BASE','PROD',  'XXXXXX',   '772','77', '(Compte à la disposition des entités pour enregistrer, en cours d''exercice, les produits sur exercices antérieurs)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (428,'PCG99-BASE','PROD',  'XXXXXX',   '775','77', 'Produits des cessions d''éléments d''actif');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (429,'PCG99-BASE','PROD',  'XXXXXX',   '777','77', 'Quote-part des subventions d''investissement virée au résultat de l''exercice');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (430,'PCG99-BASE','PROD',  'XXXXXX',   '778','77', 'Autres produits exceptionnels'); 
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (431,'PCG99-BASE','PROD',  'XXXXXX',    '78', '7', 'Reprises sur amortissements et provisions');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (432,'PCG99-BASE','PROD',  'XXXXXX',   '781','78', 'Reprises sur amortissements et provisions (à inscrire dans les produits d''exploitation)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (433,'PCG99-BASE','PROD',  'XXXXXX',   '786','78', 'Reprises sur provisions pour risques (à inscrire dans les produits financiers)');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (434,'PCG99-BASE','PROD',  'XXXXXX',   '787','78', 'Reprises sur provisions (à inscrire dans les produits exceptionnels)'); 
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (435,'PCG99-BASE','PROD',  'XXXXXX',    '79', '7', 'Transferts de charges');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (436,'PCG99-BASE','PROD',  'XXXXXX',   '791','79', 'Transferts de charges d''exploitation ');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (437,'PCG99-BASE','PROD',  'XXXXXX',   '796','79', 'Transferts de charges financières');
insert into llx_accountingaccount (rowid, fk_pcg_version, pcg_type, pcg_subtype, account_number, account_parent, label) VALUES (438,'PCG99-BASE','PROD',  'XXXXXX',   '797','79', 'Transferts de charges exceptionnelles');
